Bug 26752 - OPAC list download button broken by Bootstrap 4 upgrade
Summary: OPAC list download button broken by Bootstrap 4 upgrade
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-20 13:01 UTC by Owen Leonard
Modified: 2020-11-13 18:35 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26752: Convert OPAC list download modal to dropdown (5.82 KB, patch)
2020-10-20 13:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26752: Convert OPAC list download modal to dropdown (5.87 KB, patch)
2020-10-23 09:02 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 26752: Convert OPAC list download modal to dropdown (5.94 KB, patch)
2020-10-23 10:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-20 13:01:20 UTC
The "Download" link on the OPAC list contents page was broken by the Bootstrap 4 upgrade. I think it relied on a feature of Bootstrap 2.x which allowed one to specify a link target in the modal trigger which would be loaded via AJAX.

I think rather than restoring the AJAX version it's probably better to create a dropdown menu matching the one in the OPAC cart.
Comment 1 Owen Leonard 2020-10-20 13:53:18 UTC
Created attachment 112041 [details] [review]
Bug 26752: Convert OPAC list download modal to dropdown

This patch modifies the OPAC list page so that download options are
shown in a dropdown menu instead of a modal dialog. This solves a bug
introduced by the Bootstrap 4 upgrade and makes it consistent with the
cart interface.

To test, apply the patch and view the contents of a list in the OPAC
which has multiple items on it.

 - In the toolbar at the top of the list contents table the "Download"
   button should now be a dropdown menu.
 - Selecting any of the download options should trigger a download
   prompt.
 - Test with and without some CSV profiles which have been
   configured for use in the OPAC
Comment 2 Julian Maurice 2020-10-23 09:02:45 UTC
Created attachment 112229 [details] [review]
Bug 26752: Convert OPAC list download modal to dropdown

This patch modifies the OPAC list page so that download options are
shown in a dropdown menu instead of a modal dialog. This solves a bug
introduced by the Bootstrap 4 upgrade and makes it consistent with the
cart interface.

To test, apply the patch and view the contents of a list in the OPAC
which has multiple items on it.

 - In the toolbar at the top of the list contents table the "Download"
   button should now be a dropdown menu.
 - Selecting any of the download options should trigger a download
   prompt.
 - Test with and without some CSV profiles which have been
   configured for use in the OPAC

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 3 Julian Maurice 2020-10-23 09:03:40 UTC
I confirm that there is a bug in master, and that the patch fixes it
Comment 4 Katrin Fischer 2020-10-23 10:25:37 UTC
Created attachment 112246 [details] [review]
Bug 26752: Convert OPAC list download modal to dropdown

This patch modifies the OPAC list page so that download options are
shown in a dropdown menu instead of a modal dialog. This solves a bug
introduced by the Bootstrap 4 upgrade and makes it consistent with the
cart interface.

To test, apply the patch and view the contents of a list in the OPAC
which has multiple items on it.

 - In the toolbar at the top of the list contents table the "Download"
   button should now be a dropdown menu.
 - Selecting any of the download options should trigger a download
   prompt.
 - Test with and without some CSV profiles which have been
   configured for use in the OPAC

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-10-25 23:09:28 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-13 18:35:31 UTC
missing dependencies for 20.05.x, no backport